Bug 221336 - printing selected fragment doesn't work
printing selected fragment doesn't work
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
: Reopened
: 390181 (view as bug list)
Depends On:
Blocks: 390181
  Show dependency treegraph
 
Reported: 2007-01-03 16:32 EST by Stas Sergeev
Modified: 2008-10-23 05:47 EDT (History)
5 users (show)

See Also:
Fixed In Version: firefox 3.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-23 05:47:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tried to print selected text (69.64 KB, application/postscript)
2007-04-13 16:21 EDT, Stas Sergeev
no flags Details
printout of this bug page (106.80 KB, application/octet-stream)
2007-12-11 10:04 EST, Stas Sergeev
no flags Details
.spec file to the Firefox 2.0.0.12-1 and pango printing patch (44.90 KB, application/zip)
2008-03-27 09:55 EDT, Henrique "LonelySpooky" Junior
no flags Details
firefox.spec from the zipfile (attachment 299316) (44.70 KB, text/plain)
2008-03-27 10:08 EDT, Matěj Cepl
no flags Details
firefox-2.0-pango-printing.patch from the zipfile (attachment 299316) (151.25 KB, text/plain)
2008-03-27 10:08 EDT, Matěj Cepl
no flags Details
Diff between an altered and a non altered .spec file of FF 2.0.0.13-1 (83.52 KB, text/plain)
2008-03-28 06:19 EDT, Henrique "LonelySpooky" Junior
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 204435 None None None Never
Mozilla Foundation 419037 None None None Never

  None (edit)
Description Stas Sergeev 2007-01-03 16:32:42 EST
Description of problem:
If I try to print the selected page fragment, then the
printout misses the text. The images and everything are
there, but the text is missing. Printing the entire page
works fine - only printing selected have that problem.

Version-Release number of selected component (if applicable):
firefox-1.5.0.9-1.fc6

How reproducible:
always

Steps to Reproduce:
1. Mark the part of the web page, including the text
2. Try to print the selected fragment
  
Actual results:
Printout misses the text

Expected results:
Text is printed

Additional info:
Comment 1 Martin Stransky 2007-04-13 02:28:28 EDT
Can you please check the updated version (firefox-1.5.0.10)?
Comment 2 Stas Sergeev 2007-04-13 16:21:24 EDT
Created attachment 152584 [details]
tried to print selected text

> Can you please check the updated version (firefox-1.5.0.10)?
Done.
The results are in this attachment.
I marked and printed the initial message of that report.
Comment 3 Martin Stransky 2007-09-11 07:26:37 EDT
taking the bug
Comment 4 Matěj Cepl 2007-12-10 04:22:17 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 5 Stas Sergeev 2007-12-10 09:43:36 EST
> Fedora Core 6 is no longer supported, could you please reproduce this with the
> updated version of the currently supported distribution (Fedora 7, 8, or
> Rawhide)?
In the bottom you can see that:
Bug 221336 blocks  	390181
The answer is all there, in 390181.
Perhaps this bug can now be closed as a duplicate,
but it looks to be more viable as it got ASSIGNED.
Comment 6 Matěj Cepl 2007-12-11 07:31:39 EST
*** Bug 390181 has been marked as a duplicate of this bug. ***
Comment 7 Matěj Cepl 2007-12-11 07:43:53 EST
The fact that this bug is blocked by other is just by virtue of bug 390181 was
created as a clone of this bug. They are identical (now the other is closed as
it doesn't serve any viable purpose anyway).

So, asking once more. Could you reproduce this bug with the latest updated
version of firefox 2.0* which is part of your distribution (F7, F8, or Rawhide)?
If yes, could you send us please URL of the webpage, which you cannot print? The
name of the game is "reproducible". Unless we are able to reproduce this bug
here, there is not much we can do about it. So we need as much information as
possible to able to reproduce the behavior you describe. Could you find out
anything special or non-standard about your computer, printer, software, or
whatever, which would help us to make firefox fail for us in the same manner as
it does for you?
Comment 8 Stas Sergeev 2007-12-11 10:03:16 EST
> So, asking once more. Could you reproduce this bug with the latest updated
> version of firefox 2.0* which is part of your distribution (F7, F8, or
> Rawhide)?
What I did mean when referring to the bug 390181,
is that this bug is still valid for f8. After all,
bug 390181 was created to show exactly that: the
problem is still there.
But if you want to know whether or not I myself
still can reproduce it - yes I can (in F7 and F8).

> If yes, could you send us please URL of the webpage, which you cannot print?
Same as in FC6 - any page.
Let me attach the printout of the top of this bug page
and see it yourself.

> Unless we are able to reproduce this bug
> here, there is not much we can do about it.
But I thought jwrigley@redhat.com being able
to reproduce it (bug 390181 was opened by him),
is already enough. ;)

> Could you find out
> anything special or non-standard about your computer, printer, software, or
> whatever, which would help us to make firefox fail for us in the same manner
> as it does for you?
I tried it on 2 completely different computers,
and its all the same. Printer can be bypassed by
printing into a file - its still the same.
jwrigley@redhat.com also reproduced it (redhat.com, not
some random user!), so I dont think there is something
special involved.
Comment 9 Stas Sergeev 2007-12-11 10:04:57 EST
Created attachment 284141 [details]
printout of this bug page

Made in F8, firefox-2.0.0.8-2.fc8
Comment 10 Matěj Cepl 2007-12-11 11:27:06 EST
We found that this bug has been already registered in the upstream database
(https://bugzilla.mozilla.org/show_bug.cgi?id=204435) and believe that it is
more appropriate to let it be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates.

Thank you for the bug report.
Comment 11 Stas Sergeev 2007-12-11 14:58:21 EST
> We found that this bug has been already registered in the upstream database
> (https://bugzilla.mozilla.org/show_bug.cgi?id=204435)
Are you sure of that?
The aforementioned report is about some
problems with print preview and looks
completely unrelated.
What makes you think it is the same?
I tempt to reopen this.
Comment 12 Joe Wrigley 2007-12-12 04:35:42 EST
I would add that, in my opinion, that upstream bug is not the same one. I did
state in my initial report that I can NOT reproduce this (printing selected
fragment) bug in upstream firefox.

This is not the same bug. I am reopening it.

(btw, my redhat.com address doesn't mean I am a developer)
Comment 13 Lauro César Alves 2008-01-17 11:31:28 EST
(In reply to comment #7)
> The fact that this bug is blocked by other is just by virtue of bug 390181 was
> created as a clone of this bug. They are identical (now the other is closed as
> it doesn't serve any viable purpose anyway).
> 
> So, asking once more. Could you reproduce this bug with the latest updated
> version of firefox 2.0* which is part of your distribution (F7, F8, or Rawhide)?
> If yes, could you send us please URL of the webpage, which you cannot print? The
> name of the game is "reproducible". Unless we are able to reproduce this bug
> here, there is not much we can do about it. So we need as much information as
> possible to able to reproduce the behavior you describe. Could you find out
> anything special or non-standard about your computer, printer, software, or
> whatever, which would help us to make firefox fail for us in the same manner as
> it does for you?

	
I have this same problem. In three different computers and 2 printers and
different occurs this:

I can not print a selection of text in Firefox.

Firefox 2.0.0.10
Fedora 8


PS.: Excuse my poor English.
Comment 14 Matěj Cepl 2008-01-17 12:54:27 EST
Stas?
Comment 15 Stas Sergeev 2008-01-17 13:07:48 EST
(In reply to comment #14)
> Stas?
What?
Still the same with firefox-2.0.0.10-3.fc8
What info do you need?
Comment 16 Lauro César Alves 2008-01-17 13:40:14 EST
(In reply to comment #15)
> (In reply to comment #14)
> > Stas?
> What?
> Still the same with firefox-2.0.0.10-3.fc8
> What info do you need?

	
The text is not currently being printed, when landmark selection in the "print"
of firefox.

How to print a selection containing text using firefox-2.0.0.10-3.fc8?

How to fix this problem?

Thanks!
Comment 17 Stas Sergeev 2008-01-17 14:01:56 EST
> How to print a selection containing text using firefox-2.0.0.10-3.fc8?
> How to fix this problem?
It was mentioned here that the upstream have
this already fixed.
firefox-2.0.0.10-3.fc8 have this bug still in.
Comment 18 Lauro César Alves 2008-01-27 12:08:20 EST
This bug has not been corrected?
Comment 19 Matěj Cepl 2008-02-21 17:34:40 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 20 Matěj Cepl 2008-02-21 17:35:55 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 21 Lauro César Alves 2008-02-22 07:07:46 EST
	
Sorry, I am not taking issue with Firefox 2 provided by Mozilla. The problem
occurs only with Firefox packaged in Fedora 8. So install the packaged by
Mozilla Firefox 3 will not change the problem.
Comment 22 Matěj Cepl 2008-02-22 09:56:44 EST
This bug is reproducable with the upstream binary of Firefox 3beta3, so I filed
it in the upstream database
(https://bugzilla.mozilla.org/show_bug.cgi?id=419037) and believe that it is
more appropriate to let it be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates.

Thank you for the bug report.
Comment 23 Stas Sergeev 2008-02-23 06:55:45 EST
> At this point, we're going to only be taking security fixes and major stability
> fixes into this release of Fedora.
Just to clarify: are you speaking about Fedora 8?
This looks a bit strange given that this is the
last version released to that day, and you can't
expect everyone to go for RAWHIDE to get their
obvious problems solved.

> This bug is reproducable with the upstream binary of Firefox 3beta3, so I filed
> it in the upstream database
> (https://bugzilla.mozilla.org/show_bug.cgi?id=419037) and believe that it is
> more appropriate to let it be resolved upstream.
No, sorry, IMHO this is clearly wrong.
Firstly, this bug is filled against Fedora 8. For
Fedora 8 it is _not_ an upstream bug. This was
discussed already. The bug is local and therefore,
at least as long as the Fedora 8 is concerned, it
can't be resolved as UPSTREAM.
Secondly, you reproduced a slightly different bug,
which is not even here in Fedora 8 at all. So, to
put it straight, it is another bug in a completely
different firefox branch. This bug cannot be closed
only because the other one is present somewhere in
a different branch of upstream.
What's the use of always closing this bug? Why does
it upset you that much? :)
You can of course always resolve it as WONTFIX, or
you can use NEXTRELEASE at some point (not now),
but I don't even see the urgent need to get it closed
without fixing first (and it got ASSIGNED already,
so what's the use?)
Comment 24 Lauro César Alves 2008-02-23 09:26:31 EST
	
This bug only shows in Firefox 2 of Fedora 8, so I know. I Mandriva 2008.0, Suse
10.3, Arch Core Dump, etc.. And none of these distributions have this problem.
Comment 25 Stas Sergeev 2008-02-23 09:52:55 EST
> This bug only shows in Firefox 2 of Fedora 8, so I know.
JFYI, it was also there in all the older fedoras
unfortunately, and the 1.x versions of firefox were
also affected. And the upstream have probably never
had this bug at all, or did he? Very suspicious.
Comment 26 Matěj Cepl 2008-02-25 10:22:46 EST
(In reply to comment #23)
> No, sorry, IMHO this is clearly wrong.
> Firstly, this bug is filled against Fedora 8. For
> Fedora 8 it is _not_ an upstream bug. This was
> discussed already. The bug is local and therefore,
> at least as long as the Fedora 8 is concerned, it
> can't be resolved as UPSTREAM.

If you want to argue with me about words, go ahead (I was a lawyer by education,
so I can enjoy this), but it doesn't help anything.

To be totally blunt, I can assure you that the bug open here means absolutely
nothing, because nobody will touch it (all our Firefox developers are pretty
busy with making Firefox 3 working in Fedora and it seems to be enormous task.
So, they decided that for Firefox 2 we do only security and crash bugs. We
really cannot do more and if you will make a mess in our Bugzilla by reopening
bugs no-one will ever touch, you won't help anything.
Comment 27 Stas Sergeev 2008-02-25 10:39:58 EST
> To be totally blunt, I can assure you that the bug open here means absolutely
> nothing, because nobody will touch it
I know this, but the rest is false.
This bug have never had an upstream counterpart,
neither in the past, nor now. Obviously not in F8,
to say the least (this bug is about F8 now, not
F9 or rawhide). And the bug you've found in upstream,
is different. When it is fixed, this bug will remain.

I wanted to keep it opened only so that later I
can promote it to F9 or rawhide - you yourself
asked for testing it against rawhide, so I thought
it makes sense.
Comment 28 Matěj Cepl 2008-02-25 11:16:04 EST
Yeah, I was trying to find out whether it is reproducible on Rawhide (I was sick
in a bed without access to my Rawhide office computer). Anyway, the point is
that we try to move all non-packaging bugs to upstream and solve them there.

If the bug is opened in the upstream bugzilla, there is a chance that either we
will deal with it, or that somebody else will. Looking at it from this point of
view, this actually makes you better than when the bug rottens here.
Comment 29 Stas Sergeev 2008-02-25 13:02:10 EST
> If the bug is opened in the upstream bugzilla, there is a chance that
> either we will deal with it, or that somebody else will.
Yes, when the bugs are really the same. :)
And your bug says instead:
---
whole page is printed without regards that I have
checked "Print selected text only"
---
which to me means a totally different thing.
But surely we can't argue about every bug report
out there - lets have it closed if you feel that
appropriate. You'll just have to find someone to
re-test this bug after the upstream one is resolved,
as I really suspect it won't get fixed by that.
Or maybe it is already fixed in rawhide? We could
find that out either by having it opened till
someone confirms.
Comment 30 Henrique "LonelySpooky" Junior 2008-03-27 09:55:03 EDT
Created attachment 299316 [details]
.spec file to the Firefox 2.0.0.12-1 and pango printing patch
Comment 31 Henrique "LonelySpooky" Junior 2008-03-27 10:01:34 EDT
After doing some research about this bug I find some points that should help
with this bug:
This bug only affects Red Hat like distros (Fedora, CentOS, Red Hat...) and
appears after Firefox 1.5.0.7 and is present in Seamonkey too;
Other distros, like Gentoo, Debian and Ubuntu doesn't have the bug, so, the
problem is with our RPM;
Rebuilding the RPM after disabling the "firefox-2.0-pango-printing.patch"
Firefox restarts to print text selections.

Let me say that the bug is (still) present in Fedora 9 beta with Firefox 3.
The attachment contais the .spec of the SRPM from Firefox 2.0.0.12-1 with the
pango printing suport dissabled and also contais the pango printing patch itself
Comment 32 Matěj Cepl 2008-03-27 10:08:35 EDT
Created attachment 299322 [details]
firefox.spec from the zipfile (attachment 299316 [details])
Comment 33 Matěj Cepl 2008-03-27 10:08:50 EDT
Created attachment 299323 [details]
firefox-2.0-pango-printing.patch from the zipfile (attachment 299316 [details])
Comment 34 Matěj Cepl 2008-03-27 10:09:34 EDT
Comment on attachment 299316 [details]
.spec file to the Firefox 2.0.0.12-1 and pango printing patch

we prefer separate files
Comment 35 Matěj Cepl 2008-03-27 10:10:36 EDT
Behdad?
Comment 36 Christopher Aillon 2008-03-27 20:05:10 EDT
Firefox 3 doesn't have the pango patch in question, so it can't be that if it
still exists in FF3
Comment 37 Henrique "LonelySpooky" Junior 2008-03-28 06:17:27 EDT
Hello, folks.
first of all, I'm happy to say that this bug is fixed in FF 3. Some friends
gaved me the feedback that it isn't, but I tested it myself and all is working
very well now. Thank guys.
The new updated FF 2.0.0.13-1 came with the bug and as I said before, it cam be
"fixed" disabling the pango path. Here cames attached the diff between an
altered and a non altered .spec of FF 2.0.0.13-1, only for more info.
Thanks again to fix this bug in FF3.
Comment 38 Henrique "LonelySpooky" Junior 2008-03-28 06:19:16 EDT
Created attachment 299444 [details]
Diff between an altered and a non altered .spec file of FF 2.0.0.13-1
Comment 39 Bug Zapper 2008-05-13 22:32:09 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 40 Lauro César Alves 2008-05-14 14:35:50 EDT
	
I am testing Fedora 9 now, e. .. The firefox continues with the problem of
printing the text when we use the option to print only selection in this case
the text is not printed.

In other words, changed the version of Fedora, changed the version of Firefox,
but not the bug, it stays the same!
Comment 41 Henrique "LonelySpooky" Junior 2008-05-24 00:19:14 EDT
Yes, folks, the bug is still here. Firefox 3.0-0.60.beta5.fc9 have the same bug too.
Comment 42 Lauro César Alves 2008-06-03 08:45:02 EDT
Does this bug is larger than the Fedora?
Comment 43 Lauro César Alves 2008-06-19 16:37:27 EDT
	
It seems finally that this bug was fixed. At least in the final version of
Firefox in Fedora 9 ...
Comment 44 Stas Sergeev 2008-06-20 14:48:33 EDT
Unconfirmed with firefox-3.0-1.fc9.x86_64.
But it behaves a bit differently now.
To reproduce the bug again, you need a
lengthy page, like, for example, this
thread. If you select something at the
top - it prints. If you select at the
bottom - it does not.
Can someone confirm this please?
Comment 45 Lauro César Alves 2008-06-20 16:09:20 EDT
Confirmed. In the case of a selection longer the impression of the text is deleted.
Comment 46 Martin Stransky 2008-10-23 05:47:48 EDT
The bug from #44 is fixed in firefox 3.0.2...

Note You need to log in before you can comment on or make changes to this bug.